<ion-header>
  <ion-toolbar color="danger">
    <ion-title>Add New Room</ion-title>
    <ion-buttons slot="end">
      <ion-button icon-only color="light" (click)="close()"><ion-icon size="large" name="close-circle-outline"></ion-icon></ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-content fullscreen>
    <form #form="ngForm" (ngSubmit)="AddRoom(form)" method="post">
     <ion-list lines="full" class="ion-no-margin ion-no-padding">
       <ion-item>
         <ion-label position="stacked"><ion-text color="dark"><h1><ion-icon name="newspaper-outline" color="danger"></ion-icon> Block Name</h1></ion-text></ion-label>
         <ion-input required ngModel name="block" type="text" placeholder=""></ion-input>
       </ion-item>
   
       <ion-item>
         <ion-label position="stacked"><ion-text color="dark"><h1><ion-icon name="logo-linkedin" color="danger"></ion-icon> Room Number</h1></ion-text></ion-label>
         <ion-textarea required ngModel name="roomno" placeholder=""></ion-textarea>
       </ion-item>

       <ion-item>
        <ion-label position="stacked"><ion-text color="dark"><h1><ion-icon name="help-outline" color="danger"></ion-icon> Room Type</h1></ion-text></ion-label>
        <ion-select placeholder="Select Room Type" required ngModel name="roomtype">
          <ion-select-option value="Single">Single</ion-select-option>
          <ion-select-option value="Double">Double</ion-select-option>
          <ion-select-option value="Single(Bathroom)">Single(Bathroom)</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label position="stacked"><ion-text color="dark"><h1><ion-icon name="logo-usd" color="danger"></ion-icon> Rental(RM per day)</h1></ion-text></ion-label>
        <ion-select placeholder="Select Room Type" required ngModel name="rentalrate">
          <ion-select-option value="4">4</ion-select-option>
          <ion-select-option value="6">6</ion-select-option>
          <ion-select-option value="8">8</ion-select-option>
        </ion-select>
      </ion-item>

     </ion-list>
     <ion-button expand="block" type="submit" shape="round" class="ion-no-margin" color="danger" class="ion-padding">Confirm</ion-button>
    </form>

    <ion-footer class="ion-no-border">
      <ion-toolbar>
        <ion-title color="danger">#utmawesome</ion-title>
      </ion-toolbar>
    </ion-footer>
  
</ion-content>
